Unusual Whales UnusualWhales API

Premarket

GET https://api.unusualwhales.com/api/earnings/premarket

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18
limit Default 50 Max 100 Min 1 optional

How many items to return. Default: 50. Max: 100. Min: 1.

Example: 10 Default: 50
>= 1 <= 100
page Page optional

Page number (use with limit). Starts on page 0.

Example: 1

Responses

200 422 500

Response Body 200 OK

actual_eps Actual EPS
Example: 1.44
continent Continent
Example: North America
country_code Country Code
Example: US
country_name Country Name
Example: UNITED STATES
ending_fiscal_quarter General ISO Date

An ISO date.

Example: 2024-01-09
expected_move Expected Move

The expected earnings move in $.

Example: 1.23
expected_move_perc Expected Move Perc

The expected earnings move in %.

Example: 0.08
full_name Full Name
Example: MICROSOFT CORP
has_options Has Options

Whether the company has options available for trading

Example: true
is_s_p_500 Is Part of the S&P 500
marketcap Marketcap
Example: 152983052
post_earnings_close Stock Close Price

The close stock price of the ticker.

Example: 182.91
post_earnings_date General ISO Date

An ISO date.

Example: 2024-01-09
pre_earnings_close Stock Close Price

The close stock price of the ticker.

Example: 182.91
pre_earnings_date General ISO Date

An ISO date.

Example: 2024-01-09
reaction Reaction

The 1D % stock move after the earnings report.

Example: 0.15
report_date General ISO Date

An ISO date.

Example: 2024-01-09
report_time Report Time

The earnings report time. Possible values include: premarket, postmarket and unknown

Example: postmarket
sector Sector

A financial sector.

Example: Technology
source Source

The source of the report date. Either the report date comes from the company or it is an estimation. Possible values: company, estimation.

Example: company
street_mean_est Street Mean Est

The Street mean EPS estimates.

Example: 1.34
symbol Ticker Symbol
Example: MSFT
Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/earnings/premarket" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "actual_eps": "2.45",
      "continent": "North America",
      "country_code": "US",
      "country_name": "UNITED STATES",
      "ending_fiscal_quarter": "2022-12-31",
      "expected_move": "9.91",
      "expected_move_perc": "0.0359",
      "full_name": "INVENTRUST PROPERTIES",
      "has_options": true,
      "is_s_p_500": false,
      "marketcap": "1649115201",
      "post_earnings_close": "148.42",
      "post_earnings_date": "2023-02-14",
      "pre_earnings_close": "143.23",
      "pre_earnings_date": "2023-02-13",
      "reaction": "0.041",
      "report_date": "2023-02-14",
      "report_time": "postmarket",
      "sector": "Real Estate",
      "source": "company",
      "street_mean_est": "2.25",
      "symbol": "IVT"
    },
    {
      "actual_eps": "2.45",
      "continent": "Europe",
      "country_code": "LU",
      "country_name": "LUXEMBOURG",
      "ending_fiscal_quarter": "2022-12-31",
      "expected_move": "9.91",
      "expected_move_perc": "0.0359",
      "full_name": "TERNIUM SA",
      "has_options": true,
      "is_s_p_500": false,
      "marketcap": "7375279462",
      "post_earnings_close": "148.42",
      "post_earnings_date": "2023-02-14",
      "pre_earnings_close": "143.23",
      "pre_earnings_date": "2023-02-13",
      "reaction": "0.041",
      "report_date": "2023-02-14",
      "report_time": "postmarket",
      "sector": "Basic Materials",
      "source": "company",
      "street_mean_est": "2.25",
      "symbol": "TX"
    }
  ]
}